Class | RSS::Maker::RSS09::Channel
In: | rss/maker/image.rb rss/maker/dublincore.rb rss/maker/0.9.rb
Parent: | Object

### Methods

have_required_values? to_rss

### Classes and Modules

Class RSS::Maker::RSS09::Channel::Categories
Class RSS::Maker::RSS09::Channel::Cloud
Class RSS::Maker::RSS09::Channel::ImageFavicon
Class RSS::Maker::RSS09::Channel::SkipDays
Class RSS::Maker::RSS09::Channel::SkipHours

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/0.9.rb, line 44
            def have_required_values?
              @title and @link and @description and @language
            end

to_rss(rss)

[Source]

    # File rss/maker/0.9.rb, line 25
            def to_rss(rss)
              channel = Rss::Channel.new
              set = setup_values(channel)
              if set
                rss.channel = channel
                setup_items(rss)
                setup_image(rss)
                setup_textinput(rss)
                setup_other_elements(rss)
                if rss.channel.image
                  rss
                else
                  nil
                end
              elsif variable_is_set?
                raise NotSetError.new("maker.channel", not_set_required_variables)
              end
            end

[Validate]